<!--<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

  
  <style type="text/css" media="screen">
    @import url('style.css');
    @import url('roundedcorners.css');
  </style>
  <script src="clover.js" type="text/javascript"></script>
  <script src="sorttable.js" type="text/javascript"></script>
<title> HttpClient Cache 4.2.3 </title>      
</head>
  <body onload="showContent();">
    <div id="loading">Loading...</div>
    <div style="display:none;position:relative; height:20px" id="content">
        <div id="nav">
        <ul>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-app.html">Classes</a>
            </li>
                        <li class="titleText selectable  active ">
                <a href="pkg-test.html">Tests</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-results.html">Results</a>
            </li>
                    </ul>
        </div>
    </div>
            <table class="barGraph" id="classlist"  cellspacing="0">

<tbody>
    <tr>
    <td class="sortable graphHeaderLeft tabPanel" onclick="ts_resortTable(this, 'alpha', 0);return false;">Class</td>
    <td class="sortable graphHeader tabPanel" onclick="ts_resortTable(this, 'number', 1);return false;">Coverage&nbsp;&nbsp;&nbsp;&nbsp;</td>
    </tr>
      <tr>
    <td><span class="sortValue">AbstractProtocolTest</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/AbstractProtocolTest.html#AbstractProtocolTest" title="org.apache.http.impl.client.cache.AbstractProtocolTest">AbstractProtocolTest</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ConsumableInputStream</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/ConsumableInputStream.html#ConsumableInputStream" title="org.apache.http.impl.client.cache.ConsumableInputStream">ConsumableInputStream</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">Counter</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/Counter.html#Counter" title="org.apache.http.impl.client.cache.Counter">Counter</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DoNotTestProtocolRequirements</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/DoNotTestProtocolRequirements.html#DoNotTestProtocolRequirements" title="org.apache.http.impl.client.cache.DoNotTestProtocolRequirements">DoNotTestProtocolRequirements</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DummyHttpClient</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/DummyHttpClient.html#DummyHttpClient" title="org.apache.http.impl.client.cache.DummyHttpClient">DummyHttpClient</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.17391305</span>
        <i>(17.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpTestUtils</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/HttpTestUtils.html#HttpTestUtils" title="org.apache.http.impl.client.cache.HttpTestUtils">HttpTestUtils</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.83116883</span>
        <i>(83.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">OKStatus</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/OKStatus.html#OKStatus" title="org.apache.http.impl.client.cache.OKStatus">OKStatus</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">RequestEquivalent</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/RequestEquivalent.html#RequestEquivalent" title="org.apache.http.impl.client.cache.RequestEquivalent">RequestEquivalent</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.53846157</span>
        <i>(53.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">Serializer</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/Serializer.html#Serializer" title="org.apache.http.impl.client.cache.Serializer">Serializer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SimpleHttpCacheStorage</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/SimpleHttpCacheStorage.html#SimpleHttpCacheStorage" title="org.apache.http.impl.client.cache.SimpleHttpCacheStorage">SimpleHttpCacheStorage</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAsynchronousValidationRequest</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestAsynchronousValidationRequest.html#TestAsynchronousValidationRequest" title="org.apache.http.impl.client.cache.TestAsynchronousValidationRequest">TestAsynchronousValidationRequest</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAsynchronousValidator</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestAsynchronousValidator.html#TestAsynchronousValidator" title="org.apache.http.impl.client.cache.TestAsynchronousValidator">TestAsynchronousValidator</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicHttpCache</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestBasicHttpCache.html#TestBasicHttpCache" title="org.apache.http.impl.client.cache.TestBasicHttpCache">TestBasicHttpCache</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9612069</span>
        <i>(96.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCacheEntryUpdater</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestCacheEntryUpdater.html#TestCacheEntryUpdater" title="org.apache.http.impl.client.cache.TestCacheEntryUpdater">TestCacheEntryUpdater</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.96875</span>
        <i>(96.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCacheInvalidator</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestCacheInvalidator.html#TestCacheInvalidator" title="org.apache.http.impl.client.cache.TestCacheInvalidator">TestCacheInvalidator</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCacheKeyGenerator</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestCacheKeyGenerator.html#TestCacheKeyGenerator" title="org.apache.http.impl.client.cache.TestCacheKeyGenerator">TestCacheKeyGenerator</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCacheValidityPolicy</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestCacheValidityPolicy.html#TestCacheValidityPolicy" title="org.apache.http.impl.client.cache.TestCacheValidityPolicy">TestCacheValidityPolicy</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCacheableRequestPolicy</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestCacheableRequestPolicy.html#TestCacheableRequestPolicy" title="org.apache.http.impl.client.cache.TestCacheableRequestPolicy">TestCacheableRequestPolicy</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCachedHttpResponseGenerator</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestCachedHttpResponseGenerator.html#TestCachedHttpResponseGenerator" title="org.apache.http.impl.client.cache.TestCachedHttpResponseGenerator">TestCachedHttpResponseGenerator</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCachedResponseSuitabilityChecker</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestCachedResponseSuitabilityChecker.html#TestCachedResponseSuitabilityChecker" title="org.apache.http.impl.client.cache.TestCachedResponseSuitabilityChecker">TestCachedResponseSuitabilityChecker</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.95604396</span>
        <i>(95.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCachingHttpClient</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestCachingHttpClient.html#TestCachingHttpClient" title="org.apache.http.impl.client.cache.TestCachingHttpClient">TestCachingHttpClient</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9977511</span>
        <i>(99.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCombinedEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestCombinedEntity.html#TestCombinedEntity" title="org.apache.http.impl.client.cache.TestCombinedEntity">TestCombinedEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestConditionalRequestBuilder</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestConditionalRequestBuilder.html#TestConditionalRequestBuilder" title="org.apache.http.impl.client.cache.TestConditionalRequestBuilder">TestConditionalRequestBuilder</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.975</span>
        <i>(97.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestEhcacheHttpCacheStorage</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/ehcache/TestEhcacheHttpCacheStorage.html#TestEhcacheHttpCacheStorage" title="org.apache.http.impl.client.cache.ehcache.TestEhcacheHttpCacheStorage">TestEhcacheHttpCacheStorage</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.990991</span>
        <i>(99.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestEhcacheProtocolRequirements</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/ehcache/TestEhcacheProtocolRequirements.html#TestEhcacheProtocolRequirements" title="org.apache.http.impl.client.cache.ehcache.TestEhcacheProtocolRequirements">TestEhcacheProtocolRequirements</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9</span>
        <i>(90%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpCacheEntry</span>
            <a class="classlist" target="classPane" href="org/apache/http/client/cache/TestHttpCacheEntry.html#TestHttpCacheEntry" title="org.apache.http.client.cache.TestHttpCacheEntry">TestHttpCacheEntry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.94871795</span>
        <i>(94.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpCacheEntrySerializers</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestHttpCacheEntrySerializers.html#TestHttpCacheEntrySerializers" title="org.apache.http.impl.client.cache.TestHttpCacheEntrySerializers">TestHttpCacheEntrySerializers</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7837838</span>
        <i>(78.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpCacheJiraNumber1147</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestHttpCacheJiraNumber1147.html#TestHttpCacheJiraNumber1147" title="org.apache.http.impl.client.cache.TestHttpCacheJiraNumber1147">TestHttpCacheJiraNumber1147</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.98039216</span>
        <i>(98%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestMemcachedCacheEntryFactoryImpl</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/memcached/TestMemcachedCacheEntryFactoryImpl.html#TestMemcachedCacheEntryFactoryImpl" title="org.apache.http.impl.client.cache.memcached.TestMemcachedCacheEntryFactoryImpl">TestMemcachedCacheEntryFactoryImpl</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestMemcachedCacheEntryImpl</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/memcached/TestMemcachedCacheEntryImpl.html#TestMemcachedCacheEntryImpl" title="org.apache.http.impl.client.cache.memcached.TestMemcachedCacheEntryImpl">TestMemcachedCacheEntryImpl</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestMemcachedHttpCacheStorage</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/memcached/TestMemcachedHttpCacheStorage.html#TestMemcachedHttpCacheStorage" title="org.apache.http.impl.client.cache.memcached.TestMemcachedHttpCacheStorage">TestMemcachedHttpCacheStorage</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9462025</span>
        <i>(94.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestPrefixKeyHashingScheme</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/memcached/TestPrefixKeyHashingScheme.html#TestPrefixKeyHashingScheme" title="org.apache.http.impl.client.cache.memcached.TestPrefixKeyHashingScheme">TestPrefixKeyHashingScheme</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestProtocolAllowedBehavior</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestProtocolAllowedBehavior.html#TestProtocolAllowedBehavior" title="org.apache.http.impl.client.cache.TestProtocolAllowedBehavior">TestProtocolAllowedBehavior</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestProtocolDeviations</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestProtocolDeviations.html#TestProtocolDeviations" title="org.apache.http.impl.client.cache.TestProtocolDeviations">TestProtocolDeviations</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7037037</span>
        <i>(70.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestProtocolRecommendations</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestProtocolRecommendations.html#TestProtocolRecommendations" title="org.apache.http.impl.client.cache.TestProtocolRecommendations">TestProtocolRecommendations</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.97497153</span>
        <i>(97.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestProtocolRequirements</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestProtocolRequirements.html#TestProtocolRequirements" title="org.apache.http.impl.client.cache.TestProtocolRequirements">TestProtocolRequirements</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.92706966</span>
        <i>(92.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRFC5861Compliance</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestRFC5861Compliance.html#TestRFC5861Compliance" title="org.apache.http.impl.client.cache.TestRFC5861Compliance">TestRFC5861Compliance</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9288256</span>
        <i>(92.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestProtocolCompliance</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestRequestProtocolCompliance.html#TestRequestProtocolCompliance" title="org.apache.http.impl.client.cache.TestRequestProtocolCompliance">TestRequestProtocolCompliance</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9767442</span>
        <i>(97.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestResponseCachingPolicy</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestResponseCachingPolicy.html#TestResponseCachingPolicy" title="org.apache.http.impl.client.cache.TestResponseCachingPolicy">TestResponseCachingPolicy</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestResponseProtocolCompliance</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestResponseProtocolCompliance.html#TestResponseProtocolCompliance" title="org.apache.http.impl.client.cache.TestResponseProtocolCompliance">TestResponseProtocolCompliance</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">TestSHA256HashingScheme</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/memcached/TestSHA256HashingScheme.html#TestSHA256HashingScheme" title="org.apache.http.impl.client.cache.memcached.TestSHA256HashingScheme">TestSHA256HashingScheme</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSizeLimitedResponseReader</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestSizeLimitedResponseReader.html#TestSizeLimitedResponseReader" title="org.apache.http.impl.client.cache.TestSizeLimitedResponseReader">TestSizeLimitedResponseReader</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestWarningValue</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/client/cache/TestWarningValue.html#TestWarningValue" title="org.apache.http.impl.client.cache.TestWarningValue">TestWarningValue</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
  </tbody>
</table> <!-- End table of tests -->      </body>
</html>